import { LitElement, html } from 'lit';
import { customElement } from 'lit/decorators.js';

import { styles } from './about-styles';

import { styles as sharedStyles } from '../../styles/shared-styles'
import '@shoelace-style/shoelace/dist/components/card/card.js';

@customElement('app-about')
export class AppAbout extends LitElement {
  static styles = [
    sharedStyles,
    styles,

  ]

  connectedCallback(): void {
		super.connectedCallback();
		console.log('AppAbout added to the DOM')
	}
  render() {
    return html`
      <app-header ?enableBack="${true}"></app-header>

      <main><div id="welcomeBar">
        <h2>Frequently Asked Questions</h2>

<sl-card id="welcomeCard">
          <h3>What am I looking at?</h3>

          <p>
          This is a personal PWA installable
          to any home screen built with web
          components, the nostr protocol,
          and ProseMirror.

          <h3> What can I do with this?</h3>
          <ul><li>You can use it to sign in with a
          nostr identity and display your
          profile data. </li><li>Visit the note
          wall to view recent notes from my relay.</li>
          <li>You can also compose a note using a rich
          text editor I built with Prosemirror. </li>
          Keep a folder of your top friends on
          your home screen to show off and use to
          leave them notes.</li></ul>
          </p>



          <h3>How do I install this on my home screen?</h3>
          <p>Look for "Add to Home Screen" in your browser toolbar
          to install it to your homescreen. </p>

          <h3>What is ProseMirror</h3>
          <p>ProseMirror is the rich text editor library under the
          hood of Tip Tap. It seems overwhelming at first because
          it's basically a lego set, but it gives you a cool
          amount of control over the end product.</p>
          <h3>What is nostr?</h3>
          <p>Notes and Other Stuff Transmitted Over Relays is a simple open source
          social media protocol that enables anybody to implement social media functionalities
          into their websites.</p>

          <hr>
            <h2>Technology Used</h2>

            <ul>
              <li>
                I am using <a href="https://www.npmjs.com/package/nostr-tools?activeTab=dependencies">Nostr Tools</a> to implement an extension
              sign in and pull notes from my personal relay.
              </li>

              <li>
                <a href="https://lit.dev">Lit Web Components Library</a>
              </li>

              <li>
                <a href="https://github.com/hoytech/strfry"
                  >Strfry</a>
              </li>
            </ul>
          </sl-card></div>
      </main>
    `;
  }
}
