import { css } from "lit"

export const editorStyles = css`


:host .ProseMirror {
    color: white;
    background-clip: padding-box;
    padding: 5px 0;
    position: relative;
    word-wrap: break-word;
    white-space: pre-wrap;
    -webkit-font-variant-ligatures: none;
    font-variant-ligatures: none;
    padding: 1rem;
    line-height: 1.2;
    outline: none;
    font-family: var(
      --markdown-editor-typography-font-family,
      var(--mdc-typography-font-family, Montserrat, sans-serif)
    );
    font-size: var(
      --markdown-editor-typography-font-size,
      var(--mdc-typography-subtitle1-font-size, 1rem)
    );
    font-weight: var(
      --markdown-editor-typography-font-weight,
      var(--mdc-typography-subtitle1-font-weight, 400)
    );
    letter-spacing: var(
      --markdown-editor-typography-letter-spacing,
      var(--mdc-typography-subtitle1-letter-spacing, 0.009375em)
    );
}

.ProseMirror {
  word-wrap: break-word;
  white-space: pre-wrap;
  white-space: break-spaces;
  -webkit-font-variant-ligatures: none;
  font-variant-ligatures: none;
  font-feature-settings: "liga" 0; /* the above doesn't seem to work in Edge */
}

.ProseMirror pre {
  white-space: pre-wrap;
}

.ProseMirror li {
  position: relative;
}

.ProseMirror-hideselection *::selection { background: transparent; }
.ProseMirror-hideselection *::-moz-selection { background: transparent; }
.ProseMirror-hideselection { caret-color: transparent; }

/* See https://github.com/ProseMirror/prosemirror/issues/1421#issuecomment-1759320191 */
.ProseMirror [draggable][contenteditable=false] { user-select: text }

.ProseMirror-selectednode {
  outline: 2px solid #8cf;
}

/* Make sure li selections wrap around markers */

li.ProseMirror-selectednode {
  outline: none;
}

li.ProseMirror-selectednode:after {
  content: "";
  position: absolute;
  left: -32px;
  right: -2px; top: -2px; bottom: -2px;
  border: 2px solid #8cf;
  pointer-events: none;
}

/* Protect against generic img rules */

img.ProseMirror-separator {
  display: inline !important;
  border: none !important;
  margin: 0 !important;
}
  shouting {
    all: unset; /* Remove inherited or conflicting styles */
    font-weight: bold;
    text-transform: uppercase;
    color: red; }

  .boring {
    background: grey;
    }

  blockquote {
    font-style: italic;
    border-left: 2px solid gray;
    padding-left: 10px;
    color: darkgray;

}


`